OpenStack Compute (Nova)

versions resource on volume api endpoint fails

Reported by Chuck Thier on 2012-03-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Vish Ishaya

Bug Description

When osapi_volume is added to enabled endpoints, requests to that endpoint fail.

For example when issuing a GET to / to get the versions, the following is returned:

2012-03-23 13:39:19 ERROR nova.api.openstack [-] Caught error: 'function' object has no attribute 'application_url'
(nova.api.openstack): TRACE: Traceback (most recent call last):
(nova.api.openstack): TRACE: File "/opt/nova/nova/api/openstack/__init__.py", line 41, in __call__
(nova.api.openstack): TRACE: return req.get_response(self.application)
(nova.api.openstack): TRACE: File "/usr/local/lib/python2.7/dist-packages/webob/request.py", line 1053, in get_response
(nova.api.openstack): TRACE: application, catch_exc_info=False)
(nova.api.openstack): TRACE: File "/usr/local/lib/python2.7/dist-packages/webob/request.py", line 1022, in call_application
(nova.api.openstack): TRACE: app_iter = application(self.environ, start_response)
(nova.api.openstack): TRACE: File "/usr/local/lib/python2.7/dist-packages/webob/dec.py", line 147, in __call__
(nova.api.openstack): TRACE: resp = self.call_func(req, *args, **self.kwargs)
(nova.api.openstack): TRACE: File "/usr/local/lib/python2.7/dist-packages/webob/dec.py", line 208, in call_func
(nova.api.openstack): TRACE: return self.func(req, *args, **kwargs)
(nova.api.openstack): TRACE: File "/opt/nova/nova/api/openstack/wsgi.py", line 803, in __call__
(nova.api.openstack): TRACE: content_type, body, accept)
(nova.api.openstack): TRACE: File "/opt/nova/nova/api/openstack/wsgi.py", line 851, in _process_stack
(nova.api.openstack): TRACE: action_result = self.dispatch(meth, request, action_args)
(nova.api.openstack): TRACE: File "/opt/nova/nova/api/openstack/volume/versions.py", line 61, in dispatch
(nova.api.openstack): TRACE: builder = views_versions.get_view_builder(request)
(nova.api.openstack): TRACE: File "/opt/nova/nova/api/openstack/volume/views/versions.py", line 24, in get_view_builder
(nova.api.openstack): TRACE: base_url = req.application_url
(nova.api.openstack): TRACE: AttributeError: 'function' object has no attribute 'application_url'
(nova.api.openstack): TRACE:
2012-03-23 13:39:19 INFO nova.api.openstack [-] http://localhost:8776/ returned with HTTP 500

summary: - volume api endpoint fails
+ versions resource on volume api endpoint fails
Changed in nova:
importance: Undecided → High
status: New → In Progress
assignee: nobody → Vish Ishaya (vishvananda)
tags: added: essex-rc-potential

Reviewed: https://review.openstack.org/5750
Committed: http://github.com/openstack/nova/commit/aa29a67d5cecfa320f98fa9989bf0b9179240016
Submitter: Jenkins
Branch: master

commit aa29a67d5cecfa320f98fa9989bf0b9179240016
Author: Vishvananda Ishaya <email address hidden>
Date: Fri Mar 23 20:27:34 2012 +0000

    makes volume versions display properly

     * The compute versions controller changed during a refactor and broke
       the volume versions controller (since we are using it as a base class)
     * Added naive test
     * fixes bug 963357

    Change-Id: Ica9c65952b800d316d264db11f89e369e56bcade

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-03-26
Changed in nova:
milestone: none → essex-rc2
tags: removed: essex-rc-potential

Reviewed: https://review.openstack.org/5770
Committed: http://github.com/openstack/nova/commit/2fdf76e64f54c4594294799817a36087aa90d2a1
Submitter: Jenkins
Branch: milestone-proposed

commit 2fdf76e64f54c4594294799817a36087aa90d2a1
Author: Vishvananda Ishaya <email address hidden>
Date: Fri Mar 23 20:27:34 2012 +0000

    makes volume versions display properly

     * The compute versions controller changed during a refactor and broke
       the volume versions controller (since we are using it as a base class)
     * Added naive test
     * fixes bug 963357

    Change-Id: Ica9c65952b800d316d264db11f89e369e56bcade

Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-rc2 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers